Package com.rosivanyshyn.db.dao.constant

# Class Query

java.lang.Object
com.rosivanyshyn.db.dao.constant.Query

public class Query extends Object
MySQL Database queries constants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COUNT_ROWS_IN_LAST_QUERY`
  `static final String`
  `CREATE_EVENT_IS_BILL_PAID`
  `static final String`
  `DELETE_ACCOUNT`
  `static final String`
  `DELETE_APARTMENT`
  `static final String`
  `DELETE_BOOKING`
  `static final String`
  `DELETE_ORDER`
  `static final String`
  `DELETE_RESPONSE_TO_ORDER`
  `static final String`
  `DELETE_RESPONSE_TO_ORDER_APARTMENTS`
  `static final String`
  `INSERT_ACCOUNT`
  `static final String`
  `INSERT_APARTMENT`
  `static final String`
  `INSERT_BOOKING`
  `static final String`
  `INSERT_ORDER`
  `static final String`
  `INSERT_RESPONSE_TO_ORDER`
  `static final String`
  `INSERT_RESPONSE_TO_ORDER_APARTMENTS`
  `static final String`
  `SEARCH_APARTMENTS`
  `static final String`
  `SELECT_ACCOUNT`
  `static final String`
  `SELECT_ACCOUNT_BY_FIELD`
  `static final String`
  `SELECT_ALL_ACCOUNTS`
  `static final String`
  `SELECT_ALL_APARTMENTS`
  `static final String`
  `SELECT_ALL_BOOKINGS`
  `static final String`
  `SELECT_ALL_ORDERS`
  `static final String`
  `SELECT_ALL_RESPONSES_TO_ORDER`
  `static final String`
  `SELECT_APARTMENT`
  `static final String`
  `SELECT_APARTMENT_BY_FIELD`
  `static final String`
  `SELECT_BOOKING`
  `static final String`
  `SELECT_BOOKING_BY_FIELD`
  `static final String`
  `SELECT_FEW_ACCOUNTS`
  `static final String`
  `SELECT_FEW_APARTMENTS`
  `static final String`
  `SELECT_FEW_BOOKINGS`
  `static final String`
  `SELECT_FEW_ORDERS`
  `static final String`
  `SELECT_FEW_RESPONSES_TO_ORDER`
  `static final String`
  `SELECT_ORDER`
  `static final String`
  `SELECT_ORDER_BY_FIELD`
  `static final String`
  `SELECT_RESPONSE_TO_ORDER`
  `static final String`
  `SELECT_RESPONSE_TO_ORDER_APARTMENTS`
  `static final String`
  `SELECT_RESPONSE_TO_ORDER_BY_FIELD`
  `static final String`
  `UNIQUE_APARTMENTS_WHICH_ARE_BOOKED`
  `static final String`
  `UNIQUE_APARTMENTS_WHICH_ARE_BOOKED_AND_ACTUAL`
  `static final String`
  `UNIQUE_APARTMENTS_WHICH_ARE_FREE_AND_ACTUAL`
  `static final String`
  `UPDATE_ACCOUNT`
  `static final String`
  `UPDATE_APARTMENT`
  `static final String`
  `UPDATE_BOOKING`
  `static final String`
  `UPDATE_ORDER`
  `static final String`
  `UPDATE_RESPONSE_TO_ORDER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Query()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSERT_ACCOUNT

    public static final String INSERT_ACCOUNT
    See Also:
      - Constant Field Values

  - ### SELECT_ACCOUNT

    public static final String SELECT_ACCOUNT
    See Also:
      - Constant Field Values

  - ### SELECT_ALL_ACCOUNTS

    public static final String SELECT_ALL_ACCOUNTS
    See Also:
      - Constant Field Values

  - ### SELECT_FEW_ACCOUNTS

    public static final String SELECT_FEW_ACCOUNTS
    See Also:
      - Constant Field Values

  - ### SELECT_ACCOUNT_BY_FIELD

    public static final String SELECT_ACCOUNT_BY_FIELD
    See Also:
      - Constant Field Values

  - ### UPDATE_ACCOUNT

    public static final String UPDATE_ACCOUNT
    See Also:
      - Constant Field Values

  - ### DELETE_ACCOUNT

    public static final String DELETE_ACCOUNT
    See Also:
      - Constant Field Values

  - ### INSERT_APARTMENT

    public static final String INSERT_APARTMENT
    See Also:
      - Constant Field Values

  - ### SELECT_APARTMENT

    public static final String SELECT_APARTMENT
    See Also:
      - Constant Field Values

  - ### SELECT_ALL_APARTMENTS

    public static final String SELECT_ALL_APARTMENTS
    See Also:
      - Constant Field Values

  - ### UNIQUE_APARTMENTS_WHICH_ARE_BOOKED

    public static final String UNIQUE_APARTMENTS_WHICH_ARE_BOOKED
    See Also:
      - Constant Field Values

  - ### UNIQUE_APARTMENTS_WHICH_ARE_BOOKED_AND_ACTUAL

    public static final String UNIQUE_APARTMENTS_WHICH_ARE_BOOKED_AND_ACTUAL
    See Also:
      - Constant Field Values

  - ### UNIQUE_APARTMENTS_WHICH_ARE_FREE_AND_ACTUAL

    public static final String UNIQUE_APARTMENTS_WHICH_ARE_FREE_AND_ACTUAL
    See Also:
      - Constant Field Values

  - ### SELECT_FEW_APARTMENTS

    public static final String SELECT_FEW_APARTMENTS
    See Also:
      - Constant Field Values

  - ### SELECT_APARTMENT_BY_FIELD

    public static final String SELECT_APARTMENT_BY_FIELD
    See Also:
      - Constant Field Values

  - ### UPDATE_APARTMENT

    public static final String UPDATE_APARTMENT
    See Also:
      - Constant Field Values

  - ### DELETE_APARTMENT

    public static final String DELETE_APARTMENT
    See Also:
      - Constant Field Values

  - ### SEARCH_APARTMENTS

    public static final String SEARCH_APARTMENTS
    See Also:
      - Constant Field Values

  - ### INSERT_BOOKING

    public static final String INSERT_BOOKING
    See Also:
      - Constant Field Values

  - ### SELECT_BOOKING

    public static final String SELECT_BOOKING
    See Also:
      - Constant Field Values

  - ### SELECT_ALL_BOOKINGS

    public static final String SELECT_ALL_BOOKINGS
    See Also:
      - Constant Field Values

  - ### SELECT_FEW_BOOKINGS

    public static final String SELECT_FEW_BOOKINGS
    See Also:
      - Constant Field Values

  - ### SELECT_BOOKING_BY_FIELD

    public static final String SELECT_BOOKING_BY_FIELD
    See Also:
      - Constant Field Values

  - ### UPDATE_BOOKING

    public static final String UPDATE_BOOKING
    See Also:
      - Constant Field Values

  - ### DELETE_BOOKING

    public static final String DELETE_BOOKING
    See Also:
      - Constant Field Values

  - ### INSERT_ORDER

    public static final String INSERT_ORDER
    See Also:
      - Constant Field Values

  - ### SELECT_ORDER

    public static final String SELECT_ORDER
    See Also:
      - Constant Field Values

  - ### SELECT_ALL_ORDERS

    public static final String SELECT_ALL_ORDERS
    See Also:
      - Constant Field Values

  - ### SELECT_FEW_ORDERS

    public static final String SELECT_FEW_ORDERS
    See Also:
      - Constant Field Values

  - ### SELECT_ORDER_BY_FIELD

    public static final String SELECT_ORDER_BY_FIELD
    See Also:
      - Constant Field Values

  - ### UPDATE_ORDER

    public static final String UPDATE_ORDER
    See Also:
      - Constant Field Values

  - ### DELETE_ORDER

    public static final String DELETE_ORDER
    See Also:
      - Constant Field Values

  - ### INSERT_RESPONSE_TO_ORDER

    public static final String INSERT_RESPONSE_TO_ORDER
    See Also:
      - Constant Field Values

  - ### SELECT_RESPONSE_TO_ORDER

    public static final String SELECT_RESPONSE_TO_ORDER
    See Also:
      - Constant Field Values

  - ### SELECT_ALL_RESPONSES_TO_ORDER

    public static final String SELECT_ALL_RESPONSES_TO_ORDER
    See Also:
      - Constant Field Values

  - ### SELECT_FEW_RESPONSES_TO_ORDER

    public static final String SELECT_FEW_RESPONSES_TO_ORDER
    See Also:
      - Constant Field Values

  - ### SELECT_RESPONSE_TO_ORDER_BY_FIELD

    public static final String SELECT_RESPONSE_TO_ORDER_BY_FIELD
    See Also:
      - Constant Field Values

  - ### UPDATE_RESPONSE_TO_ORDER

    public static final String UPDATE_RESPONSE_TO_ORDER
    See Also:
      - Constant Field Values

  - ### DELETE_RESPONSE_TO_ORDER

    public static final String DELETE_RESPONSE_TO_ORDER
    See Also:
      - Constant Field Values

  - ### INSERT_RESPONSE_TO_ORDER_APARTMENTS

    public static final String INSERT_RESPONSE_TO_ORDER_APARTMENTS
    See Also:
      - Constant Field Values

  - ### SELECT_RESPONSE_TO_ORDER_APARTMENTS

    public static final String SELECT_RESPONSE_TO_ORDER_APARTMENTS
    See Also:
      - Constant Field Values

  - ### DELETE_RESPONSE_TO_ORDER_APARTMENTS

    public static final String DELETE_RESPONSE_TO_ORDER_APARTMENTS
    See Also:
      - Constant Field Values

  - ### COUNT_ROWS_IN_LAST_QUERY

    public static final String COUNT_ROWS_IN_LAST_QUERY
    See Also:
      - Constant Field Values

  - ### CREATE_EVENT_IS_BILL_PAID

    public static final String CREATE_EVENT_IS_BILL_PAID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Query

    public Query()